Bug 1281285 - core dump in protocol/client:client_submit_request
core dump in protocol/client:client_submit_request
Status: CLOSED NEXTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
http://article.gmane.org/gmane.comp.f...
: Triaged
Depends On:
Blocks: 1283138 1283690 1283691
  Show dependency treegraph
 
Reported: 2015-11-12 03:56 EST by Niels de Vos
Modified: 2015-11-19 10:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1283138 1283690 1283691 (view as bug list)
Environment:
Last Closed: 2015-11-18 06:11:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2015-11-12 03:56:14 EST
Description of problem:

Regression test failed:

https://build.gluster.org/job/rackspace-regression-2GB-triggered/15785/consoleFull

failed on 

./tests/bugs/fuse/many-groups-for-acl.t: 1 new core files

Version-Release number of selected component (if applicable):


How reproducible:
Rarely

Steps to Reproduce:
1. run regression tests

Actual results:
core dump of the glusterfs-client process.

Expected results:
No core dumps

Additional info:
Comment 1 Vijay Bellur 2015-11-12 05:03:34 EST
REVIEW: http://review.gluster.org/12575 (protocol/client: prevent use-after-free of frame->root) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 2 Niels de Vos 2015-11-18 06:11:11 EST
The patch from comment #1 got merged, but unfortunately with the wrong BUG: tag.

The next major release will include a fix for this, backports to stable releases will get done too (see the "blocks" field of this bug).

Note You need to log in before you can comment on or make changes to this bug.